package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.Gyeeuserinformation;
import com.gyee.frame.model.auto.GyeeuserinformationExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 *  GyeeuserinformationMapper
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-04-16 15:54:30
 */
public interface GyeeuserinformationMapper {
      	   	      	      	      	      	      	      	      	      	      	      
    long countByExample(GyeeuserinformationExample example);

    int deleteByExample(GyeeuserinformationExample example);
		
    int deleteByPrimaryKey(String id);
		
    int insert(Gyeeuserinformation record);

    int insertSelective(Gyeeuserinformation record);

    List<Gyeeuserinformation> selectByExample(GyeeuserinformationExample example);
		
    Gyeeuserinformation selectByPrimaryKey(String id);
		
    int updateByExampleSelective(@Param("record") Gyeeuserinformation record, @Param("example") GyeeuserinformationExample example);

    int updateByExample(@Param("record") Gyeeuserinformation record, @Param("example") GyeeuserinformationExample example); 
		
    int updateByPrimaryKeySelective(Gyeeuserinformation record);

    int updateByPrimaryKey(Gyeeuserinformation record);
    
    Gyeeuserinformation queryById(String userid);
  	
}